Name:           python-fastremap
Version:        1.17.1
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Remap, mask, renumber, unique, and in-place transposition of 3D labeled images. Point cloud too.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/seung-lab/fastremap/
Source:         %{pypi_source fastremap}

BuildRequires:  python3-devel
BuildRequires:  gcc


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'fastremap' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-fastremap
Summary:        %{summary}

%description -n python3-fastremap %_description


%prep
%autosetup -p1 -n fastremap-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-fastremap -f %{pyproject_files}


%changelog
%autochangelog